CellNames (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.composites

## Class CellNames

- java.lang.Object
- - org.apache.cassandra.db.composites.CellNames

-     public abstract class CellNames
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CellName` | `compositeDense(java.nio.ByteBuffer... bbs)`
    `static CellName` | `compositeSparse(java.nio.ByteBuffer[] bbs, ColumnIdentifier identifier, boolean isStatic)`
    `static CellName` | `compositeSparseWithCollection(java.nio.ByteBuffer[] bbs, java.nio.ByteBuffer collectionElement, ColumnIdentifier identifier, boolean isStatic)`
    `static CellNameType` | `fromAbstractType(AbstractType<?> type, boolean isDense)`
    `static java.lang.String` | `getColumnsString(CellNameType type, java.lang.Iterable<Cell> columns)`
    `static CellName` | `simpleDense(java.nio.ByteBuffer bb)`
    `static CellName` | `simpleSparse(ColumnIdentifier identifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromAbstractType

          public static CellNameType fromAbstractType(AbstractType<?> type,
                                      boolean isDense)

    - #### simpleDense

          public static CellName simpleDense(java.nio.ByteBuffer bb)

    - #### simpleSparse

          public static CellName simpleSparse(ColumnIdentifier identifier)

    - #### compositeDense

          public static CellName compositeDense(java.nio.ByteBuffer... bbs)

    - #### compositeSparse

          public static CellName compositeSparse(java.nio.ByteBuffer[] bbs,
                                 ColumnIdentifier identifier,
                                 boolean isStatic)

    - #### compositeSparseWithCollection

          public static CellName compositeSparseWithCollection(java.nio.ByteBuffer[] bbs,
                                               java.nio.ByteBuffer collectionElement,
                                               ColumnIdentifier identifier,
                                               boolean isStatic)

    - #### getColumnsString

          public static java.lang.String getColumnsString(CellNameType type,
                                          java.lang.Iterable<Cell> columns)

Copyright © 2014 The Apache Software Foundation